# Copyright (C) Innuos
# SPDX-License-Identifier: GPL-2.0

package Plugins::AirableLink::Plugin;

# $Id$

use strict;
use Slim::Utils::Strings qw (string);

# use URI::Escape qw(uri_escape_utf8);

# use Slim::Plugin::Innuos::ProtocolHandler;

 my $log = Slim::Utils::Log->addLogCategory( {
 	category     => 'plugin.airablelink',
 	defaultLevel => 'ERROR',
 	description  => 'PLUGIN_AIRABLELINK_MODULE_NAME',
 } );

sub getDisplayName {
	return 'PLUGIN_AIRABLELINK_MODULE_NAME';
}

sub initPlugin {
	my $class = shift;
	
	Slim::Player::ProtocolHandlers->registerHandler(
		airablelink => 'Plugins::AirableLink::ProtocolHandler'
	);

}

# Don't add this item to any menu
sub playerMenu { }

1;
